Create Metric Create Metric Create a <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> on the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a>. Permission Required: `kelvin.permission.metric.create`
Metric create schema
Request optional parameters
Delete Metric Delete Metric Permanently delete an existing <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a>. This cannot be undone once the API request has been submitted. Permission Required: `kelvin.permission.metric.delete`
Unique identifier name for the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='blank'>Kelvin Metric</a>.</p> This must contain only lowercase alphanumeric characters. The `.`, `` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.
Request optional parameters
Get Metric Get Metric Retrieve the properties of a <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a>. Permission Required: `kelvin.permission.metric.read`
Unique identifier name for the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='blank'>Kelvin Metric</a>.</p> This must contain only lowercase alphanumeric characters. The `.`, `` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.
Request optional parameters
List Metric List Metric Returns a dictionary with a data property containing a list of all <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metrics</a> on the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a>. Pagination Sortable Columns: `metric.name`, `metric.title`, `metric.data_type_name`, `metric.data_type_version`, `metric.display_unit`, `metric.semantic_type_name`, `metric.write`, `metric.created`, `metric.updated`, `semantic_type.title` Permission Required: `kelvin.permission.metric.read`
Array of data type names to filter the list. Each string will only return a Data Type Type object with exact matches on the `name` parameter.</p> There are 13 types of data type options; `raw.boolean`, `raw.dynacard`, `raw.float32`, `raw.float64`, `raw.int8`, `raw.int16`, `raw.int32`, `raw.int64`, `raw.uint8`, `raw.uint16`, `raw.uint32`, `raw.uint64` and `raw.text`.
Array of data type versions to filter the list. Each string will only return a Data Type Type object with exact matches on the `name` parameter.</p> For example; `2.0.0` will return results, but `2.0` will not.
An alphanumeric string to move to the previous page of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metrics</a> in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.
Filter on the parameter <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='blank'>Kelvin Metric</a> by its name. This is given as an array, for example `[extruder,tank]`.</p> The filter is done on the full name only according to unique identifier name rules (Must contain only lowercase alphanumeric characters. The `.`, `` and `-` characters are also allowed to separate words instead of a space but not at the beginning or end).</p> For example a filter with `[extruder,tank]` will return <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> with the name `extruder` but not with the names `demo-ch-extruder-gear-setpoint` or `demo-og-gas-tank-level`.
Number of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> objects to be returned. Page size can be between 1 and 1000 objects.</p> The default is 20 <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> objects.
Search and filter the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> list. Both the Display Name and the Name will be included in the filter field criteria. This is given as an array, for example `[extruder,tank]`.</p> The search is case insensitive and will find partial matches as well. For example if a <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> name or display name is `demo-og-centrifugal-pump-speed`, then a match will be made if the filter string is `demo` or `FUGaL`.
Array of names to filter the list. Each string will only return a Sematic Type object with exact matches on the `name` parameter.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.
Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).
Sort the results by one of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> parameters. Only one parameter can be selected.</p> There are ten parameter options; `metric.name`, `metric.title`, `metric.data_type_name`, `metric.data_type_version`, `metric.display_unit`, `metric.semantic_type_name`, `metric.write`, `metric.created`, `metric.updated` and `semantic_type.title`.</p> The default is `metric.name`
An alphanumeric string to move to the next page of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metrics</a> in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.
Request optional parameters
List Semantic Type List Semantic Type Returns a dictionary with a data property containing a list of all available Semantic Type options on the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a>. Sematic Types are sensors that stream data to the Kelvin Metric. Depending on the options chosen, there may be more properties available which will be saved to the SemanticTypeProperties parameters. Sortable Columns: `semantic_type.name`, `semantic_type.title`, `semantic_type.created`, `semantic_type.updated` Permission Required: `kelvin.permission.metric.read`
Array of names to filter the list. Each string will only return a Sematic Type object with exact matches on the `name` parameter.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.
Search and filter the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> list. Both the Display Name and the Name will be included in the search field criteria. This is given as an array, for example `[accelerometer,event]`.</p> The search is case insensitive and will find partial matches as well. For example if a <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> name or display name is `Accelerometer`, then a match will be made if the search string is `acc` or `rOmeT`.
Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).
Sort the results by one of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> parameters. Only one parameter can be selected.</p> There are four parameter options; `semantic_type.name`, `semantic_type.title`, `semantic_type.created`, `semantic_type.updated`.</p> The default is `semantic_type.name`
Request optional parameters
Update Metric Update Metric Update an existing <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> with any new values passed through the body parameters. Permission Required: `kelvin.permission.metric.update`
Metric update schema
Unique identifier name for the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='blank'>Kelvin Metric</a>.</p> This must contain only lowercase alphanumeric characters. The `.`, `` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.
Request optional parameters
Upload Metrics Upload Metrics Upload a csv (comma-separated values) file with up to 20,000 metrics to add as <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a> into the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a>. Each row represents one <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metric</a>. The first row of the csv file needs to be the header of the columns. `DISPLAY NAME,NAME,SEMANTIC TYPE,DATA TYPE,UNIT DISPLAY,WRITE`. Details of the options for each column are explained in this <a href='https://docs.kelvininc.com/latest/documentation/kelvin-platform/kelvin-manager-ui/management/metrics/metrics/#importing-metrics-in-bulk' target='_blank'>Kelvin Documentation</a> link. The file needs to be saved in UTF-8 format with a comma separating each field. Do not use other separation options available in Microsoft Excel or Google Sheets such as semi-colons or colons. Strings in the csv file can be with or without quotation marks. Permission Required: `kelvin.permission.metric.create`
Perform a trial run to create the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metrics</a> without saving the changes.</p> This is very useful when you want to test your new <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics/' target='_blank'>Kelvin Metrics</a> bulk upload without making any changes on the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a>.
Path and name of the CSV File to upload to the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a>.</p> You can download a blank copy of the template from the <a href='https://docs.kelvininc.com/latest/documentation/kelvin-platform/kelvin-manager-ui/control-manager-ui-overview/' target='_blank'>Kelvin Manager UI</a>. Instructions can be found in the <a href='https://docs.kelvininc.com/latest/documentation/kelvin-platform/kelvin-manager-ui/management/metrics/metrics#1.-download-the-metrics-csv-template' target='_blank'>Kelvin Documentation</a>.
Request optional parameters